/****************************************************************************************
*  YAROCK                                                                               *
*  Copyright (c) 2010-2013 Sebastien amardeilh <sebastien.amardeilh+yarock@gmail.com>   *
*                                                                                       *
*  This program is free software; you can redistribute it and/or modify it under        *
*  the terms of the GNU General Public License as published by the Free Software        *
*  Foundation; either version 2 of the License, or (at your option) any later           *
*  version.                                                                             *
*                                                                                       *
*  This program is distributed in the hope that it will be useful, but WITHOUT ANY      *
*  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A      *
*  PARTICULAR PURPOSE. See the GNU General Public License for more details.             *
*                                                                                       *
*  You should have received a copy of the GNU General Public License along with         *
*  this program.  If not, see <http://www.gnu.org/licenses/>.                           *
*****************************************************************************************/

#ifndef _XSPF_STREAMS_H_
#define _XSPF_STREAMS_H_

#include "service_base.h"
#include "MediaItem/mediaitem.h"

#include <QList>
#include <QString>

/*
********************************************************************************
*                                                                              *
*    Class XspfStreams                                                         *
*                                                                              *
********************************************************************************
*/
class XspfStreams : public Service
{
public:
    XspfStreams();
    XspfStreams(const QString& path);

    virtual void load();
    virtual void reload();
    void save();
    
    virtual QList<MEDIA::TrackPtr> streams() {return m_streams;}    
    void setStreams(QList<MEDIA::TrackPtr>);
    
    QString filename() {return m_filename;}
    void set_filename(const QString&);

    QString playlist_name() {return m_playlist_name;}
    void set_playlist_name(const QString& name) {m_playlist_name = name;}

private:
    QString                 m_filename;
    QString                 m_playlist_name;
    QList<MEDIA::TrackPtr>  m_streams;
};


#endif // _XSPF_STREAMS_H_
